%define anolis_release 1
%global srcname nbdime

Name: python-%{srcname}
Version: 4.0.1
Release: %{anolis_release}%{?dist}
Summary: Tools for diffing and merging of Jupyter notebooks.

License: 3-Clause BSD
URL: http://nbdime.readthedocs.io/
Source0: %{pypi_source}

BuildArch: noarch

%global _description %{expand:
nbdime provides tools for diffing and merging of Jupyter Notebooks.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# Testing
BuildRequires:  python3-pytest
BuildRequires:  python3-numpy

%description -n python3-%{srcname} %_description

%prep
# Remove shebang
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
mkdir -p %{buildroot}%{_sysconfdir}/jupyter/jupyter_notebook_config.d
mkdir -p %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mkdir -p %{buildroot}%{_sysconfdir}/jupyter/nbconfig/notebook.d
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_notebook_config.d/nbdime.json
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/jupyter_server_config.d/nbdime.json
mv -v %{buildroot}{%{_prefix},}%{_sysconfdir}/jupyter/nbconfig/notebook.d/nbdime.json

%check
pushd nbdime/tests
git init -q
git config --global user.email "%{name}-owner@openanolis.cn"
git config --global user.name "%{name} maintainer"
popd
export PYTHONPATH="${PYTHONPATH:-%{buildroot}%{python3_sitearch}:%{buildroot}%{python3_sitelib}}"
export PATH=%{buildroot}/usr/bin:$PATH
pytest-%{python3_version} --deselect nbdime/tests/test_server_extension.py

%files -n python3-%{srcname}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/%{srcname}-*.dist-info/
%{python3_sitelib}/%{srcname}/
%{_bindir}/git*
%{_bindir}/hg-*
%{_bindir}/nb*
%{_datadir}/jupyter/labextensions/*
%{_datadir}/jupyter/nbextensions/*
/etc/jupyter/jupyter_notebook_config.d/nbdime.json
/etc/jupyter/jupyter_server_config.d/nbdime.json
/etc/jupyter/nbconfig/notebook.d/nbdime.json

%changelog
* Fri Jan 26 2024 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.0.1-1
- init from upstream
